DEV_ADD_PACK(9)

NAME
dev_add_pack - add packet handler

SYNOPSIS

void dev_add_pack (struct packet_type * pt);

ARGUMENTS

pt  packet type declaration

DESCRIPTION

Add a protocol handler to the networking stack. The passed &packet_type is linked into kernel lists and may not be freed until it has been removed from the kernel lists.

This call does not sleep therefore it can not guarantee all CPU's that are in middle of receiving packets will see the new packet type (until the next received packet).